Skip to main content
PUT
Update Prompt

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

prompt_id
string<uuid>
required

Body

application/json

Request model for updating an existing prompt.

title
string | null

Prompt title

Required string length: 1 - 200
category_name
string | null

Category name

Maximum string length: 100
content
string | null

Prompt content

Required string length: 1 - 50000
tags
string[] | null

List of tags for display

Response

Successful Response

Response model for a single prompt.

id
string
required
email
string
required
prompt_type
string
required
title
string
required
content
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
category_name
string | null
icon
string | null
tags
string[] | null